### Type parameters

- #### T

### Hierarchy

- ValidationResult

## Index

### Constructors

- constructor

### Properties

- data
- message
- state

## Constructors

### constructor

- new ValidationResult(data: T, state: Array<WalletVerificationCodes>, message: Array<string>): ValidationResult

- - Defined in utils/types/validators/ValidationResult.ts:11

  #### Parameters

  - ##### data: T

  - ##### state: Array<WalletVerificationCodes>

  - ##### message: Array<string>

  #### Returns ValidationResult

## Properties

### data

data: T

- Defined in utils/types/validators/ValidationResult.ts:9

### message

message: Array<string>

- Defined in utils/types/validators/ValidationResult.ts:11

### state

state: Array<WalletVerificationCodes>

- Defined in utils/types/validators/ValidationResult.ts:10

Generated using TypeDoc